/* general layout */

body { 
    background: #ECEDED;
    display: grid;
    grid-template-rows: auto 1fr auto;
    height: 100vh;
}

header {
    overflow: hidden;
}

main {
    overflow-y: auto;
    min-height: 0;
}

footer {
    overflow: hidden;
}

.logo-img {
  height: 50px;
}

.funding {
  font-size: .8rem;
}

/* bot look */

.chat-avatar {
    float: right
}

.chat-avatar .avatar {
    width: 30px;
        -webkit-box-shadow: 0 2px 2px 0 rgba(0,0,0,0.2),0 6px 10px 0 rgba(0,0,0,0.3);
    box-shadow: 0 2px 2px 0 rgba(0,0,0,0.2),0 6px 10px 0 rgba(0,0,0,0.3);
}

.chat-body {
    display: block;
    margin: 10px 30px 0 0;
    overflow: hidden
}

.chat-body:first-child {
    margin-top: 0
}

.chat-content {
    position: relative;
    display: block;
    float: right;
    padding: 8px 15px;
    margin: 0 20px 10px 0;
    clear: both;
    color: #fff;
    background-color: #62a8ea;
    border-radius: 4px;
        -webkit-box-shadow: 0 1px 4px 0 rgba(0,0,0,0.37);
    box-shadow: 0 1px 4px 0 rgba(0,0,0,0.37);
    width: 95%;
}

.chat-time {
    display: block;
    margin-top: 8px;
    color: rgba(255, 255, 255, .6)
}

.chat-left .chat-avatar {
    float: left
}

.chat-left .chat-body {
    margin-right: 0;
    margin-left: 30px
}

.chat-left .chat-content {
    float: left;
    margin: 0 0 10px 20px;
    color: #76838f;
    background-color: #dfe9ef
}

.chat-left .chat-time {
    color: #a3afb7
}

.avatar img {
    width: 100%;
    max-width: 100%;
    height: auto;
    border: 0 none;
    border-radius: 1000px;
}
.chat-avatar .avatar {
    width: 30px;
}
.avatar {
    position: relative;
    display: inline-block;
    width: 40px;
    white-space: nowrap;
    border-radius: 1000px;
    vertical-align: bottom;
}
.typing {
  position: relative;
  margin-left: 10px;
}
.typing span {
  content: "";
  -webkit-animation: blink 1.5s infinite;
          animation: blink 1.5s infinite;
  -webkit-animation-fill-mode: both;
          animation-fill-mode: both;
  height: 10px;
  width: 10px;
  background: #3b5998;
  position: absolute;
  left: 0;
  top: 0;
  border-radius: 50%;
}
.typing span:nth-child(2) {
  -webkit-animation-delay: 0.2s;
          animation-delay: 0.2s;
  margin-left: 15px;
}
.typing span:nth-child(3) {
  -webkit-animation-delay: 0.4s;
          animation-delay: 0.4s;
  margin-left: 30px;
}

@-webkit-keyframes blink {
  0% {
    opacity: 0.1;
  }
  20% {
    opacity: 1;
  }
  100% {
    opacity: 0.1;
  }
}

@keyframes blink {
  0% {
    opacity: 0.1;
  }
  20% {
    opacity: 1;
  }
  100% {
    opacity: 0.1;
  }
}